extends Node2D


signal partie_gagnee

@onready var nombre_briques: int = get_children().size()


func _ready() -> void:
	for node: Node in get_children():
		assert(node is Brique, "Ce conteneur ne peut contenir que des briques")
		var brique: Brique = node as Brique
		brique.eclatee.connect(_quand_brique_eclatee)


func _quand_brique_eclatee() -> void:
	nombre_briques -= 1
	if nombre_briques <= 0:
		partie_gagnee.emit()
